@if (data(); as data) {
  <div [ngClass]="['list-mapset', jds.card, jds.mb(20)]">
    <div [ngClass]="[jds.cardBody, jds.p(24)]">
      <div [ngClass]="[jds.d('flex'), jds.gap(24)]">
        <div
          [ngClass]="[jds.minW(248), jds.h(165), jds.rounded(8), jds.border(1)]"
          [id]="'viewMapList-' + id"
        ></div>
        <div [ngClass]="[jds.w('full')]">
          <div
            [ngClass]="[
              jds.d('flex'),
              jds.justifyContent('between'),
              jds.mb(16),
              jds.gap(24)
            ]"
          >
            <a
              [ngClass]="[jds.fw('bold')]"
              [routerLink]="['/mapset/detail', data.id]"
            >
              {{ data.name }}
            </a>
            <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
              <span
                [colorScheme]="data.getClassification().bgColor"
                jdsBiBadge
              >
                {{ data.dataset_class.name }}
              </span>

              <!-- Action -->
              @if (
                isAction() &&
                (satudataUser.role_name === 'walidata' ||
                  satudataUser.role_name === 'opd')
              ) {
                <jds-bi-hosted-dropdown
                  [(open)]="isDropdown"
                  [jdsBiDropdownLimitWidth]="'auto'"
                  [jdsBiDropdownAlign]="'right'"
                  [content]="dropdown"
                >
                  <button
                    [ngClass]="[jds.py(7), jds.ms(10)]"
                    type="button"
                    jdsBiButton
                    size="sm"
                    colorScheme="gray"
                    isIconOnly="true"
                    variant="outline"
                  >
                    <jds-bi-icon
                      [size]="12"
                      name="ellipsis"
                    />
                  </button>
                </jds-bi-hosted-dropdown>

                <ng-template #dropdown>
                  <ul [ngClass]="[jds.dropdownMenu, jds.minW(150)]">
                    @switch (status()) {
                      @case ('draft') {
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            [routerLink]="['/my-mapset/edit/', data.id]"
                            [queryParams]="{
                              page: activePath,
                              status: 'draft-active'
                            }"
                          >
                            Ubah
                          </a>
                        </li>
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            (click)="onDelete(data.id)"
                          >
                            Hapus
                          </a>
                        </li>
                      }
                      @case ('active') {
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            [routerLink]="['/my-mapset/edit/', data.id]"
                            [queryParams]="{
                              page: activePath,
                              status: 'approve-active'
                            }"
                          >
                            Ubah
                          </a>
                        </li>
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            (click)="onArchive(data.id)"
                          >
                            Arsipkan
                          </a>
                        </li>
                      }
                      @case ('archive') {
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            (click)="onActive(data.id)"
                          >
                            Aktifkan
                          </a>
                        </li>
                      }
                    }
                  </ul>
                </ng-template>
              }
            </div>
          </div>
          <div>
            <div
              [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.mb(8)]"
            >
              <!-- Tahun Dibuat -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Tahun Dibuat"
              >
                <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="calendar"
                  />
                  <span
                    [ngClass]="[
                      jds.fs(14),
                      jds.pos('relative'),
                      jds.top(0.5),
                      jds.leading(23)
                    ]"
                  >
                    {{ moment(data.cdate).locale('id').format('YYYY') }}
                  </span>
                </div>
              </div>

              <!-- Status Data -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Status Data"
              >
                <span
                  [colorScheme]="getStatusData(data.is_permanent).color"
                  [ngClass]="[jds.rounded('pill')]"
                  jdsBiBadge
                  variant="subtle"
                >
                  <jds-bi-icon
                    [name]="getStatusData(data.is_permanent).icon"
                    [ngClass]="[jds.me(4)]"
                  />
                  <span>
                    {{ getStatusData(data.is_permanent).name }}
                  </span>
                </span>
              </div>

              <!-- Topik -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Topik"
              >
                <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="book"
                  />
                  <span
                    [ngClass]="[
                      jds.fs(14),
                      jds.pos('relative'),
                      jds.top(0.5),
                      jds.leading(23)
                    ]"
                  >
                    {{ data.sektoral.name }}
                  </span>
                </div>
              </div>

              <!-- Tipe Peta -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Tipe Peta"
              >
                <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="map-location"
                  />
                  <span
                    [ngClass]="[
                      jds.fs(14),
                      jds.pos('relative'),
                      jds.top(0.5),
                      jds.leading(23)
                    ]"
                  >
                    {{ data.mapset_type.name }}
                  </span>
                </div>
              </div>

              <!-- Mapset Diperbarui -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Mapset Diperbarui"
              >
                <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="clock-three"
                  />
                  <span
                    [ngClass]="[
                      jds.fs(14),
                      jds.pos('relative'),
                      jds.top(0.5),
                      jds.leading(23)
                    ]"
                  >
                    {{ moment(data.mdate).locale('id').format('DD MMMM YYYY') }}
                  </span>
                </div>
              </div>
            </div>
            <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Organisasi"
              >
                <a [routerLink]="['/organization', data.skpd.id]">
                  <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                    <jds-bi-icon
                      [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                      name="building"
                    />
                    <span
                      [ngClass]="[
                        jds.fs(14),
                        jds.pos('relative'),
                        jds.top(0.5),
                        jds.leading(23)
                      ]"
                    >
                      {{ data.skpd.nama_skpd }}
                    </span>
                  </div>
                </a>
              </div>
            </div>
          </div>
          <hr />
          <p
            [ngClass]="[jds.mb(16), jds.fs(14)]"
            [ngStyle]="{
              lineHeight: '22px',
              overflow: 'hidden',
              textOverflow: 'ellipsis',
              display: '-webkit-box',
              '-webkit-line-clamp': '3',
              '-webkit-box-orient': 'vertical'
            }"
          >
            {{ data.description | removeHtmlTag }}
          </p>
          <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
            <div
              [ngClass]="[jds.me(18)]"
              [popperPlacement]="'top'"
              [popperTrigger]="'hover'"
              popper="Jumlah Dilihat"
            >
              <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                <jds-bi-icon
                  [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                  name="eye"
                />
                <span
                  [ngClass]="[
                    jds.fs(14),
                    jds.pos('relative'),
                    jds.top(0.5),
                    jds.leading(23)
                  ]"
                >
                  {{ data.count_view_private | number: '1.0-0' : 'id' }}
                </span>
              </div>
            </div>

            <div
              [ngClass]="[jds.me(16)]"
              [popperPlacement]="'top'"
              [popperTrigger]="'hover'"
              popper="Jumlah Diunduh"
            >
              <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                <jds-bi-icon
                  [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                  name="circle-down"
                />
                <span
                  [ngClass]="[
                    jds.fs(14),
                    jds.pos('relative'),
                    jds.top(0.5),
                    jds.leading(23)
                  ]"
                >
                  {{ data.count_access_private | number: '1.0-0' : 'id' }}
                </span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
}
